> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/postaccountupdatemargin.md).

# POST /account/update-margin

Update margin for your account's positions.

`POST https://api.aevo.xyz/account/update-margin`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Body Parameters

| Field             | Type    | Required | Description                                                                                                             |
| ----------------- | ------- | -------- | ----------------------------------------------------------------------------------------------------------------------- |
| `instrument`      | integer | Yes      | Instrument ID number. Example: `12`                                                                                     |
| `isolated_margin` | string  | Yes      | The change in isolated margin assigned to a position. In 6 decimals fixed number. Negative allowed. Example: `10000000` |

## Example Request

```bash
curl --request POST \
     --url https://api.aevo.xyz/account/update-margin \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>' \
     --header 'content-type: application/json' \
     --data '{ ... }'
```

## Responses

**`200`** — Update margin for an account's positions.

| Field      | Type   | Required | Description |
| ---------- | ------ | -------- | ----------- |
| `position` | object | No       |             |
| `success`  | object | No       |             |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
